<?php

/**
 * The main template file
 * 
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package resort_motel
 */

get_header();

$resort_motel_column = get_theme_mod( 'resort_motel_archive_column_layout', 'column-1' );
?>
<main id="primary" class="site-main">

	<?php
	if ( have_posts() ) :

		if ( is_home() && ! is_front_page() ) :
			?>
			<?php
		endif;
		?>

		<div class="resort_motel-archive-layout grid-layout <?php echo esc_attr( $resort_motel_column ); ?>">
			<?php
			/* Start the Loop */
			while ( have_posts() ) : the_post();

			get_template_part( 'template-parts/content', get_post_format() );

			endwhile;
			?>
		</div>
		<?php
		do_action( 'resort_motel_posts_pagination' );

	else :

		get_template_part( 'template-parts/content', 'none' );

	endif;
	?>

</main>

<?php
if ( resort_motel_is_sidebar_enabled() ) {
	get_sidebar();
}

get_footer();